| IGLib 1.7.2 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Events Macros
Public Member Functions | Properties | List of all members
IG.Lib.ICharacterBufferReadOnly Interface Reference

Interface for all implementations of read-only character buffer. Classes that implement this interface are used e.g. in string parsing and output data formatters. More...

Inheritance diagram for IG.Lib.ICharacterBufferReadOnly:
[legend]

## Public Member Functions
int | EnsureCapacity (int minCapacity)
| Ensures that the buffer's current capacity is at least the specified number of bytes. More...
string | ToString ()
| Saves buffer contents to string and returns it. More...
void | Save (string filePath, bool append)
| Saves buffer contents to a text file. More...
void | Save (string filePath)
| Saves buffer contents to a text file. If the file already exists then it is overwritten. More...

## Properties
int | Length`[get, set]`
| Current length of the buffer or object represented by the buffer. More...
int | Capacity`[get, set]`
| Buffer current capacity. More...
char | this[int index]`[get]`
| Character with the specified index. More...

## Detailed Description

Interface for all implementations of read-only character buffer. Classes that implement this interface are used e.g. in string parsing and output data formatters.

$A Igor Feb09;

## Member Function Documentation

int IG.Lib.ICharacterBufferReadOnly.EnsureCapacity | ( | int | minCapacity | ) |

Ensures that the buffer's current capacity is at least the specified number of bytes.

Parameters

  minCapacity | Minimal capacity to be ensured.

Returns
  Current capacity after the call.

Implemented in IG.Lib.CharacterBuffer.

string IG.Lib.ICharacterBufferReadOnly.ToString | ( |  | ) |

Saves buffer contents to string and returns it.

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBufferReadOnly.Save | ( | string | filePath,
|  | bool | append
| ) |  |

Saves buffer contents to a text file.

Parameters

  filePath | Path of the file where buffer is stored.
  append | Whether the file is appended. If true and if the file already exists then buffer contents are appended at the end of the file.

Implemented in IG.Lib.CharacterBuffer.

void IG.Lib.ICharacterBufferReadOnly.Save | ( | string | filePath | ) |

Saves buffer contents to a text file. If the file already exists then it is overwritten.

Parameters

  filePath | Path of the file where buffer is stored.

Implemented in IG.Lib.CharacterBuffer.

## Property Documentation

int IG.Lib.ICharacterBufferReadOnly.Length
| get set

Current length of the buffer or object represented by the buffer.

int IG.Lib.ICharacterBufferReadOnly.Capacity
| get set

Buffer current capacity.

char IG.Lib.ICharacterBufferReadOnly.this[int index]
| get

Character with the specified index.

The documentation for this interface was generated from the following file:

- igbase/data/StringParserBuffer.cs